[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDbGridExtraOption

Enumerated type that specifies extra options available in a database grid.

## Declaration

Source position: dbgrids.pas line 80

`type TDbGridExtraOption = (`
`dgeAutoColumns,` |  | Indicates if Fields in the dataset are automatically added as columns in the database grid.
`dgeCheckboxColumn` |  | Indicates that check box controls are used to edit Boolean Fields in the grid dataset.
`);`

## Description

TDbGridExtraOption is an enumerated type that specifies extra options available in a database grid. Values from TDbGridExtraOption are stored in the TDbGridExtraOptions set type, and used in the OptionsExtra property in TDBGrid.

## See also

TDBGrid.OptionsExtra |  | Contains the extra options enabled for the database grid control.